From 769bf34bfd346e5a333e3dfd61519902fa3e7f55 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=81lvaro=20Herrera?= <alvherre@alvh.no-ip.org>
Date: Fri, 4 Apr 2025 23:39:59 +0200
Subject: [PATCH] cleanup pg_dump headers a bit

---
 src/bin/pg_dump/pg_backup.h          | 10 ----------
 src/bin/pg_dump/pg_backup_archiver.h |  7 ++++---
 2 files changed, 4 insertions(+), 13 deletions(-)

diff --git a/src/bin/pg_dump/pg_backup.h b/src/bin/pg_dump/pg_backup.h
index 8586cdaf541..af0007fb6d2 100644
--- a/src/bin/pg_dump/pg_backup.h
+++ b/src/bin/pg_dump/pg_backup.h
@@ -284,16 +284,6 @@ typedef int DumpId;
 /*
  * Function pointer prototypes for assorted callback methods.
  */
-
-/* forward declaration to avoid including pg_backup_archiver.h here */
-#ifndef HAVE_TOCENTRY_TYPEDEF
-typedef struct _tocEntry TocEntry;
-#define HAVE_TOCENTRY_TYPEDEF 1
-#endif
-
-typedef char *(*DefnDumperPtr) (Archive *AH, const void *userArg, const TocEntry *te);
-typedef int (*DataDumperPtr) (Archive *AH, const void *userArg);
-
 typedef void (*SetupWorkerPtrType) (Archive *AH);
 
 /*
diff --git a/src/bin/pg_dump/pg_backup_archiver.h b/src/bin/pg_dump/pg_backup_archiver.h
index e81a76ba25e..365073b3eae 100644
--- a/src/bin/pg_dump/pg_backup_archiver.h
+++ b/src/bin/pg_dump/pg_backup_archiver.h
@@ -97,10 +97,7 @@
 #define WORKER_IGNORED_ERRORS		  12
 
 typedef struct _archiveHandle ArchiveHandle;
-#ifndef HAVE_TOCENTRY_TYPEDEF
 typedef struct _tocEntry TocEntry;
-#define HAVE_TOCENTRY_TYPEDEF 1
-#endif
 struct ParallelState;
 
 #define READ_ERROR_EXIT(fd) \
@@ -344,6 +341,10 @@ struct _archiveHandle
 	struct _tocEntry *lastErrorTE;
 };
 
+
+typedef char *(*DefnDumperPtr) (Archive *AH, const void *userArg, const TocEntry *te);
+typedef int (*DataDumperPtr) (Archive *AH, const void *userArg);
+
 struct _tocEntry
 {
 	struct _tocEntry *prev;
-- 
2.39.5

